package com.bocloud.cmp.model.installation.catalog;

/**
 * 物理机BIOS基本信息类
 *
 * @author Shaolong_tan
 */
public class BiosBasic {
    /**
     * 地址
     */
    private String address;
    /**
     * BIOS 修订版本
     */
    private String revision;
    /**
     * 产品特性
     */
    private Object characteristics;
    /**
     * ROM 大小
     */
    private String romSize;
    /**
     * 发布日期
     */
    private String releaseDate;
    /**
     * 运行时大小
     */
    private String runtimeSize;
    /**
     * 制造商
     */
    private String vendor;
    /**
     * 版本
     */
    private String version;

    /**
     * @return the address
     */
    public String getAddress() {
        return address;
    }

    /**
     * @param address the address to set
     */
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * @return the revision
     */
    public String getRevision() {
        return revision;
    }

    /**
     * @param revision the revision to set
     */
    public void setRevision(String revision) {
        this.revision = revision;
    }

    /**
     * @return the characteristics
     */
    public Object getCharacteristics() {
        return characteristics;
    }

    /**
     * @param characteristics the characteristics to set
     */
    public void setCharacteristics(Object characteristics) {
        this.characteristics = characteristics;
    }

    /**
     * @return the romSize
     */
    public String getRomSize() {
        return romSize;
    }

    /**
     * @param romSize the romSize to set
     */
    public void setRomSize(String romSize) {
        this.romSize = romSize;
    }

    /**
     * @return the releaseDate
     */
    public String getReleaseDate() {
        return releaseDate;
    }

    /**
     * @param releaseDate the releaseDate to set
     */
    public void setReleaseDate(String releaseDate) {
        this.releaseDate = releaseDate;
    }

    /**
     * @return the runtimeSize
     */
    public String getRuntimeSize() {
        return runtimeSize;
    }

    /**
     * @param runtimeSize the runtimeSize to set
     */
    public void setRuntimeSize(String runtimeSize) {
        this.runtimeSize = runtimeSize;
    }

    /**
     * @return the vendor
     */
    public String getVendor() {
        return vendor;
    }

    /**
     * @param vendor the vendor to set
     */
    public void setVendor(String vendor) {
        this.vendor = vendor;
    }

    /**
     * @return the version
     */
    public String getVersion() {
        return version;
    }

    /**
     * @param version the version to set
     */
    public void setVersion(String version) {
        this.version = version;
    }
}
